Debian Bug report logs - #340938
RM: sctplib -- RoQA; SCTP implementation inside the kernel

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Aníbal Monsalve Salazar <anibal@debian.org>

Date: Sun, 27 Nov 2005 05:03:05 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#340938; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: submit@bugs.debian.org
Subject: O: sctplib -- userland implementation of the SCTP protocol RFC 2960
Date: Sun, 27 Nov 2005 15:58:14 +1100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of sctplib, Anibal Monsalve Salazar <anibal@debian.org>
has orphaned this package.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Source: sctplib
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: libglib1.2-dev, bzip2
Standards-Version: 3.6.2

Package: sctplib1
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: sctplib-stable1
Replaces: sctplib-stable1
Provides: sctplib-stable1
Description: userland implementation of the SCTP protocol RFC 2960
 This is the userland implementation of the SCTP protocol (RFC
 2960).
 .
 The sctplib library is a fairly complete prototype implementation of the
 Stream Control Transmission Protocol (SCTP), a message-oriented reliable
 transport protocol that supports multi-homing, and multiple message streams
 multiplexed within an SCTP connection (also named association). SCTP is
 described in RFC 2960, RFC 3309 and RFC 3286. This implementation is the
 product of a cooperation between Siemens AG (ICN), Munich, Germany and the
 Computer Networking Technology Group at the IEM of the University of Essen,
 Germany.
 .
 The API of the library was modeled after section 10 of RFC 2960, and most
 parameters and functions should be self-explanatory to the user familiar with
 this document. In addition to these interface functions between an Upper
 Layer Protocol (ULP) and an SCTP instance, the library also provides a number
 of helper functions that can be used to manage callback function routines to
 make them execute at a certain point of time (i.e. timer-based) or open and
 bind  UDP sockets on a configurable port, which may then be used for an
 asynchronous interprocess communication.
 .
  Homepage: http://www.sctp.de/

Package: sctplib-doc
Section: doc
Priority: optional
Architecture: all
Depends: bzip2
Conflicts: sctplib-stable-doc
Replaces: sctplib-stable-doc
Provides: sctplib-stable-doc
Description: userland implementation of the SCTP protocol RFC 2960
 This package contains the sctplib documentation.
 .
 The sctplib library is a fairly complete prototype implementation of the
 Stream Control Transmission Protocol (SCTP), a message-oriented reliable
 transport protocol that supports multi-homing, and multiple message streams
 multiplexed within an SCTP connection (also named association). SCTP is
 described in RFC 2960, RFC 3309 and RFC 3286. This implementation is the
 product of a cooperation between Siemens AG (ICN), Munich, Germany and the
 Computer Networking Technology Group at the IEM of the University of Essen,
 Germany.
 .
 The API of the library was modeled after section 10 of RFC 2960, and most
 parameters and functions should be self-explanatory to the user familiar with
 this document. In addition to these interface functions between an Upper
 Layer Protocol (ULP) and an SCTP instance, the library also provides a number
 of helper functions that can be used to manage callback function routines to
 make them execute at a certain point of time (i.e. timer-based) or open and
 bind  UDP sockets on a configurable port, which may then be used for an
 asynchronous interprocess communication.
 .
  Homepage: http://www.sctp.de/

Package: sctplib-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, sctplib1 (= ${Source-Version})
Conflicts: sctplib-stable-dev
Replaces: sctplib-stable-dev
Provides: sctplib-stable-dev
Description: userland implementation of the SCTP protocol RFC 2960
 This package contains the header file and static library needed
 to build applications based on sctplib.
 .
 The sctplib library is a fairly complete prototype implementation of the
 Stream Control Transmission Protocol (SCTP), a message-oriented reliable
 transport protocol that supports multi-homing, and multiple message streams
 multiplexed within an SCTP connection (also named association). SCTP is
 described in RFC 2960, RFC 3309 and RFC 3286. This implementation is the
 product of a cooperation between Siemens AG (ICN), Munich, Germany and the
 Computer Networking Technology Group at the IEM of the University of Essen,
 Germany.
 .
 The API of the library was modeled after section 10 of RFC 2960, and most
 parameters and functions should be self-explanatory to the user familiar with
 this document. In addition to these interface functions between an Upper
 Layer Protocol (ULP) and an SCTP instance, the library also provides a number
 of helper functions that can be used to manage callback function routines to
 make them execute at a certain point of time (i.e. timer-based) or open and
 bind  UDP sockets on a configurable port, which may then be used for an
 asynchronous interprocess communication.
 .
  Homepage: http://www.sctp.de/

Format: 1.7
Date: Sat, 26 Nov 2005 20:21:32 +1100
Source: sctplib
Binary: sctplib-doc sctplib1 sctplib-dev
Architecture: source i386 alpha sparc all
Version: 1:1.0.4-3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 sctplib-dev - userland implementation of the SCTP protocol RFC 2960
 sctplib-doc - userland implementation of the SCTP protocol RFC 2960
 sctplib1   - userland implementation of the SCTP protocol RFC 2960
Changes: 
 sctplib (1:1.0.4-3) unstable; urgency=low
 .
    * Orphaning this package. Maintainer set to Debian QA Group.
    * Added watch file.
Files: 
 3588fef6f8b9a7840b01a9cb41b76c3a 599 net optional sctplib_1.0.4-3.dsc
 960419ff93aa1681d47365e87e5e0c05 3896 net optional sctplib_1.0.4-3.diff.gz
 85798f020df90ddbe7b414f6092fb870 449038 doc optional sctplib-doc_1.0.4-3_all.deb
 9fc005b71a1fb04240db88e774eb2f13 90564 libs optional sctplib1_1.0.4-3_i386.deb
 33e83f9dcc9eadd619a622721439ad61 95172 libdevel optional sctplib-dev_1.0.4-3_i386.deb
 cc23e408fd0b7bdd81b0a7ca554a03ec 92104 libs optional sctplib1_1.0.4-3_sparc.deb
 374a0bcbae390a88b54816c889a3c170 103332 libdevel optional sctplib-dev_1.0.4-3_sparc.deb
 3274198eb440e74b890ee0124ef56467 110358 libs optional sctplib1_1.0.4-3_alpha.deb
 8d971c7e6caca6521761a8293ce94248 154556 libdevel optional sctplib-dev_1.0.4-3_alpha.deb

Aníbal Monsalve Salazar
--
 .''`. Debian GNU/Linux
: :' : Free Operating System
`. `'  http://debian.org/
  `-   http://v7w.com/anibal
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Mohammed Adnène Trojette <adn@diwi.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Mohammed Adnène Trojette <adn@diwi.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 340938-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 340938-close@bugs.debian.org
Cc: sctplib@packages.debian.org, sctplib@packages.qa.debian.org
Subject: Bug#340938: fixed
Date: Tue, 09 Jan 2007 10:09:12 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

   sctplib |  1:1.0.4-5 | source
sctplib-dev |  1:1.0.4-5 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
sctplib-doc |  1:1.0.4-5 | all
  sctplib1 |  1:1.0.4-5 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 340938@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 01:56:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:07:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.